commit:     2db6835d5b74ac3b7007d690c74d054605c738dc
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  4 06:22:44 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Oct  4 06:23:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2db6835d

sys-boot/unetbootin: Version 675

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 sys-boot/unetbootin/Manifest                       |   2 +
 .../unetbootin/files/unetbootin-675-desktop.patch  |  23 +++++
 sys-boot/unetbootin/unetbootin-675.ebuild          | 103 +++++++++++++++++++++
 3 files changed, 128 insertions(+)

diff --git a/sys-boot/unetbootin/Manifest b/sys-boot/unetbootin/Manifest
index 159bd8d25cf..a92b40cc63c 100644
--- a/sys-boot/unetbootin/Manifest
+++ b/sys-boot/unetbootin/Manifest
@@ -1,2 +1,4 @@
 DIST unetbootin-661-qt5.patch.tar.xz 8060 BLAKE2B 
58cb323166e344ecabf5d372e80ff0367a1344866a6e8dea4b2677a85ea6ae0b5591480a3bcbbfc3a51d391b07adf0d5f370ee77e4c7e1d6f2b727aedf274cf0
 SHA512 
c1226575484fa63c94ca4da875a26c7bd64bcb27d8e07ea5b67bb3f2546f31d1360d10c363cd7301476811e332c9524c96d6ba482c894b86a5b28ca8a1c8b385
 DIST unetbootin-661.tar.gz 16257579 BLAKE2B 
2f92cf286c8010a80d4d4cc48a7ece55e159af9f3729277d97eb99ef2ebe8945023d03c51d6e97d7101d8547240e3c2152004222ec4c825ef4ab954c4018e7b0
 SHA512 
bbf74a4c4ca9b52f4da672eb54524b7fcb796c65ba80700dc3c6f2677bde37574f42a11c213cc4d4eee38783aed650beee1e2894f60185745e509a2e9571f70a
+DIST unetbootin-675-qt5.patch.xz 7636 BLAKE2B 
f8c475491e6cf0557a192380726376c1dadba2e52478139d42023e867de86c5c1727719fa123fb412dbb20fca5763a3192889618e75ef6d8bba2d20eb1cf9403
 SHA512 
da636a3f6cd6a45d6786d92e94741d74f6c5de7d74570af45eac08718a822cdef5baac6c62d7ed68a788e9518e050f3a48a46f8f374c07e0b4c0d90c3613185d
+DIST unetbootin-675.tar.gz 23221792 BLAKE2B 
fb3a6fce9d2a47b83e2e4c1a579d20594a637215b7c6456d6b0a59a592da660b13bdbea52aa5a4f902e410e9d0e2d447d085f040d321029a96b7ff957a59d11e
 SHA512 
7cb5da4a876125ff010fc6a5aab2b5bb6eeec0f1ac6f2dd86efa2c3eaebaedff8c2167f9dc77053936955703cd2a98dd11a84b8de930dcfc1c2b0f6aeaf7ee61

diff --git a/sys-boot/unetbootin/files/unetbootin-675-desktop.patch 
b/sys-boot/unetbootin/files/unetbootin-675-desktop.patch
new file mode 100644
index 00000000000..b71907db38d
--- /dev/null
+++ b/sys-boot/unetbootin/files/unetbootin-675-desktop.patch
@@ -0,0 +1,23 @@
+ * unetbootin.desktop: error: key "GenericName[en_US]" in group "Desktop Entry"
+   is a localized key, but there is no non-localized key "GenericName"
+ * unetbootin.desktop: warning: value "Application;System;" for key
+   "Categories" in group "Desktop Entry" contains a deprecated value
+ * "Application"
+
+--- a/unetbootin.desktop
++++ b/unetbootin.desktop
+@@ -2,11 +2,9 @@
+ Version=1.0
+ Name=UNetbootin
+ Comment=Tool for creating Live USB drives
+-Categories=Application;System;
+-Exec=/usr/bin/unetbootin_asroot
++Categories=System;
++Exec=/usr/bin/unetbootin
+ Terminal=false
+ Type=Application
+-Name[en_US]=UNetbootin
+-GenericName[en_US]=UNetbootin
+-Comment[en_US]=Tool for creating Live USB drives
++GenericName=UNetbootin
+ Icon=unetbootin

diff --git a/sys-boot/unetbootin/unetbootin-675.ebuild 
b/sys-boot/unetbootin/unetbootin-675.ebuild
new file mode 100644
index 00000000000..cfc39c26a04
--- /dev/null
+++ b/sys-boot/unetbootin/unetbootin-675.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop flag-o-matic qmake-utils
+
+DESCRIPTION="UNetbootin installs Linux/BSD distributions to a partition or USB 
drive"
+HOMEPAGE="https://github.com/unetbootin/unetbootin";
+SRC_URI="
+       ${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz
+       https://dev.gentoo.org/~jer/${P}-qt5.patch.xz
+"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+UNBI_LINGUAS="
+       am ar ast be bg bn ca cs da de el eo es et eu fa fi fo fr gl he hr hu 
id it
+       ja lt lv ml ms nan nb nl nn pl pt_BR pt ro ru si sk sl sr sv sw tr uk 
ur vi
+       zh_CN zh_TW
+"
+
+for lingua in ${UNBI_LINGUAS}; do
+       IUSE="${IUSE} l10n_${lingua/_/-}"
+done
+
+S=${WORKDIR}/${P}/src/${PN}
+
+COMMON_DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+"
+BDEPEND="
+       ${COMMON_DEPEND}
+       dev-qt/linguist-tools:5
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       app-arch/p7zip
+       sys-boot/syslinux
+       sys-fs/mtools
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-675-desktop.patch
+       "${WORKDIR}"/${PN}-675-qt5.patch
+)
+
+src_prepare() {
+       default
+
+       # QA check in case linguas are added or removed
+       enum() {
+               echo ${#}
+       }
+       [[ $(enum ${UNBI_LINGUAS}) -eq $(( $(enum $(echo ${PN}_*.ts) ) -1 )) ]] 
\
+               || die "Numbers of recorded and actual linguas do not match"
+       unset enum
+
+       # Remove localisations
+       local lingua
+       for lingua in ${UNBI_LINGUAS}; do
+               if ! use l10n_${lingua/_/-}; then
+                       sed -i ${PN}.pro -e "/\.*${PN}_${lingua}\.ts.*/d" || die
+                       rm ${PN}_${lingua}.ts || die
+               fi
+       done
+       append-cflags -DNOSTATIC
+       append-cxxflags -DNOSTATIC
+}
+
+src_configure() {
+       sed -i -e '/^RESOURCES/d' unetbootin.pro || die
+
+       UNBN_QTPATH="$(qt5_get_bindir)/"
+       "${UNBN_QTPATH}"lrelease ${PN}.pro || die
+
+       eqmake5 ${PN}.pro || die
+}
+
+src_install() {
+       dobin ${PN}
+
+       domenu ${PN}.desktop
+
+       for file in ${PN}*.png; do
+               size="${file/${PN}_}"
+               size="${size/.png}x${size/.png}"
+               insinto /usr/share/icons/hicolor/${size}/apps
+               newins ${file} ${PN}.png
+       done
+
+       local lingua
+       for lingua in ${UNBI_LINGUAS}; do
+               if use l10n_${lingua/_/-}; then
+                       insinto /usr/share/${PN}
+                       doins ${PN}_${lingua}.qm
+               fi
+       done
+}

Reply via email to